## clementine 1.3.1+git609-g623a53681+dfsg

=== debian/changelog ===
clementine (1.3.1+git609-g623a53681+dfsg-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #885567, #898998)
  * Bump Standards-Version to 4.2.1.
  * Cherry-pick an upstream patch to fix appstream data installation target.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sat, 03 Nov 2018 12:58:42 +0100

=== debian/control ===
Source: clementine
Section: sound
Priority: optional
Maintainer: Thomas Pierson <contact@thomaspierson.fr>
Build-Depends: cmake (>= 2.6),
               debhelper (>= 9),
               docbook-to-man,
               libboost-dev,
               libboost-serialization-dev,
               libcdio-dev,
               libchromaprint-dev,
               libcrypto++-dev,
               libfftw3-dev,
               libglew-dev,
               libgpod-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               liblastfm5-dev,
               libmtp-dev,
               libmygpo-qt-dev (>= 1.1.0-1~),
               libprojectm-dev (>= 2.0.1+dfsg-6),
               libprotobuf-dev,
               libpulse-dev,
	       libqt5opengl5-dev,
	       libqt5webkit5-dev,
	       libqt5x11extras5-dev,
               libsparsehash-dev,
               libsqlite3-dev,
               libtag1-dev (>= 1.8),
               protobuf-compiler,
               qtbase5-private-dev,
               qttools5-dev,
Standards-Version: 4.2.1
Homepage: http://www.clementine-player.org/
Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-clementine.git
Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-clementine

Package: clementine
Architecture: amd64 arm64 i386 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends},
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         projectm-data (>= 2.0.1+dfsg-6)
Recommends: gstreamer1.0-alsa | gstreamer1.0-pulseaudio
Suggests: gstreamer1.0-plugins-bad
Description: modern music player and library organizer
 Clementine is a multiplatform music player focusing on a fast and
 easy-to-use interface for searching and playing your music.
 .
 Summary of included features :
  - Search and play your local music library.
  - Listen to internet radio from SomaFM, Magnatune, Jamendo, Intergalactic FM,
    Digitally Imported, JAZZRADIO.com, ROCKRADIO.com, RadioTunes.com,
    Soundcloud, Icecast and Subsonic servers. 
  - Search and play songs you've uploaded to Box, Dropbox, Google Drive, and
    OneDrive.
  - Create smart playlists and dynamic playlists.
  - Tabbed playlists, import and export M3U, XSPF, PLS and ASX.
  - CUE sheet support.
  - Play audio CDs.
  - Visualisations from projectM.
  - Lyrics and artist biographies and photos.
  - Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC.
  - Edit tags on MP3 and OGG files, organise your music.
  - Fetch missing tags from MusicBrainz.
  - Discover and download Podcasts.
  - Download missing album cover art from Last.fm.
  - Native desktop notifications using libnotify.
  - Remote control using an Android device, a Wii Remote, MPRIS or the
    command-line.
  - Copy music to your iPod, iPhone, MTP or mass-storage USB player.
  - Queue manager.
 .
 It is largely a port of Amarok 1.4, with some features rewritten to take
 advantage of Qt4.
 .

## clementine 1.3.1.1+git609+g623a53681+dfsg

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fpermissive -Wno-c++11-narrowing -U__STRICT_ANSI__")

if(USE_SYSTEM_GMOCK)
  include_directories(${GMOCK_INCLUDE_DIRS} ${GTEST_INCLUDE_DIRS})
else(USE_SYSTEM_GMOCK)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/gmock/include)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/gmock/gtest/include)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/gmock/gtest)
endif(USE_SYSTEM_GMOCK)

include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_BINARY_DIR}/src)
include_directories(${CMAKE_SOURCE_DIR}/ext/clementine-tagreader)
include_directories(${CMAKE_SOURCE_DIR}/ext/libclementine-common)
include_directories(${CMAKE_SOURCE_DIR}/ext/libclementine-tagreader)
include_directories(${CMAKE_BINARY_DIR}/ext/libclementine-tagreader)

include_directories(${QT_QTTEST_INCLUDE_DIR})

if(HAVE_LIBGPOD)
  include_directories(${LIBGPOD_INCLUDE_DIRS})
endif(HAVE_LIBGPOD)

if(HAVE_LIBLASTFM)
  include_directories(${LASTFM_INCLUDE_DIRS})
endif(HAVE_LIBLASTFM)

if(NOT USE_SYSTEM_GMOCK)
  set(GTEST-SOURCES
    ../3rdparty/gmock/gtest/src/gtest.cc
    ../3rdparty/gmock/gtest/src/gtest-death-test.cc
    ../3rdparty/gmock/gtest/src/gtest-filepath.cc
    ../3rdparty/gmock/gtest/src/gtest-port.cc
    ../3rdparty/gmock/gtest/src/gtest-test-part.cc
    ../3rdparty/gmock/gtest/src/gtest-typed-test.cc
  )

  add_library(gtest STATIC EXCLUDE_FROM_ALL ${GTEST-SOURCES})

  set(GMOCK-SOURCES
    ../3rdparty/gmock/src/gmock-cardinalities.cc
    ../3rdparty/gmock/src/gmock.cc
    ../3rdparty/gmock/src/gmock-internal-utils.cc
    ../3rdparty/gmock/src/gmock-matchers.cc
    ../3rdparty/gmock/src/gmock-printers.cc
    ../3rdparty/gmock/src/gmock-spec-builders.cc
  )

  add_library(gmock STATIC EXCLUDE_FROM_ALL ${GMOCK-SOURCES})
  set(GMOCK_LIBRARIES gmock gtest)
endif(NOT USE_SYSTEM_GMOCK)

add_definitions(-DGTEST_USE_OWN_TR1_TUPLE=1)

set(TESTUTILS-SOURCES
  mock_networkaccessmanager.cpp
  mock_playlistitem.cpp
  test_utils.cpp
  testobjectdecorators.cpp

  ${CMAKE_SOURCE_DIR}/ext/libclementine-tagreader/fmpsparser.cpp
)

set(TESTUTILS-MOC-HEADERS
  mock_networkaccessmanager.h
  test_utils.h
  testobjectdecorators.h
)

qt5_wrap_cpp(TESTUTILS-SOURCES-MOC ${TESTUTILS-MOC-HEADERS})

add_library(test_utils STATIC EXCLUDE_FROM_ALL ${TESTUTILS-SOURCES} ${TESTUTILS-SOURCES-MOC})
target_link_libraries(test_utils ${GMOCK_LIBRARIES} ${QT_LIBRARIES} ${QT_QTTEST_LIBRARY})

add_custom_target(clementine_test
    echo "Running Clementine tests"
    WORKING_DIRECTORY ${CURRENT_BINARY_DIR}
)
add_custom_target(build_tests
    WORKING_DIRECTORY ${CURRENT_BINARY_DIR}
)
add_dependencies(clementine_test build_tests)

qt5_add_resources(TEST-RESOURCE-SOURCES data/testdata.qrc)

add_library(test_gui_main STATIC EXCLUDE_FROM_ALL ${TEST-RESOURCE-SOURCES} main.cpp)
target_link_libraries(test_gui_main clementine_lib)
set_target_properties(test_gui_main PROPERTIES COMPILE_DEFINITIONS GUI)

add_library(test_main STATIC EXCLUDE_FROM_ALL ${TEST-RESOURCE-SOURCES} main.cpp)
target_link_libraries(test_main clementine_lib)

# Given a file foo_test.cpp, creates a target foo_test and adds it to the test target.
macro(add_test_file test_source gui_required)
    get_filename_component(TEST_NAME ${test_source} NAME_WE)
    add_executable(${TEST_NAME}
      EXCLUDE_FROM_ALL
      ${test_source}
    )
    target_link_libraries(${TEST_NAME} ${GMOCK_LIBRARIES} clementine_lib test_utils Qt5::Test)
    set(GUI_REQUIRED ${gui_required})
    if (GUI_REQUIRED)
      target_link_libraries(${TEST_NAME} test_gui_main)
    else (GUI_REQUIRED)
      target_link_libraries(${TEST_NAME} test_main)
    endif (GUI_REQUIRED)

    check_cxx_compiler_flag("-Wno-bool-conversions" SUPPORTS_NOBOOL)
    if (SUPPORTS_NOBOOL)
      set_target_properties(${TEST_NAME} PROPERTIES COMPILE_FLAGS "-Wno-bool-conversions")
    endif (SUPPORTS_NOBOOL)

    add_custom_command(TARGET clementine_test POST_BUILD
        COMMAND ./${TEST_NAME}${CMAKE_EXECUTABLE_SUFFIX})
    add_dependencies(build_tests ${TEST_NAME})
endmacro (add_test_file)


#add_test_file(albumcoverfetcher_test.cpp false)

#add_test_file(albumcovermanager_test.cpp true)
add_test_file(asxparser_test.cpp false)
add_test_file(asxiniparser_test.cpp false)
#add_test_file(cueparser_test.cpp false)
#add_test_file(database_test.cpp false)
#add_test_file(fileformats_test.cpp false)
add_test_file(fmpsparser_test.cpp false)
#add_test_file(librarybackend_test.cpp false)
#add_test_file(librarymodel_test.cpp true)
#add_test_file(m3uparser_test.cpp false)
add_test_file(mergedproxymodel_test.cpp false)
add_test_file(musicbrainzclient_test.cpp false)
add_test_file(organiseformat_test.cpp false)
add_test_file(organisedialog_test.cpp false)
#add_test_file(playlist_test.cpp true)
#add_test_file(plsparser_test.cpp false)
add_test_file(scopedtransaction_test.cpp false)
#add_test_file(songloader_test.cpp false)
add_test_file(songplaylistitem_test.cpp false)
add_test_file(song_test.cpp false)
add_test_file(translations_test.cpp false)
add_test_file(utilities_test.cpp false)
add_test_file(xspfparser_test.cpp false)
add_test_file(closure_test.cpp false)
add_test_file(concurrentrun_test.cpp false)
add_test_file(zeroconf_test.cpp false)
add_test_file(sqlite_test.cpp false)

#if(LINUX AND HAVE_DBUS)
#  add_test_file(mpris1_test.cpp true)
#endif(LINUX AND HAVE_DBUS)

=== 3rdparty/qxt/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

set(QXT-SOURCES
  qxtglobal.cpp
  qxtglobalshortcut.cpp
)

set(QXT-MOC-HEADERS
  qxtglobalshortcut.h
)

find_package(X11)
include_directories(${X11_INCLUDE_DIR})
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

if(WIN32)
  set(QXT-SOURCES ${QXT-SOURCES} qxtglobalshortcut_win.cpp)
elseif(APPLE)
  set(QXT-SOURCES ${QXT-SOURCES} qxtglobalshortcut_mac.cpp)
else(WIN32)
  set(QXT-SOURCES ${QXT-SOURCES} qxtglobalshortcut_x11.cpp)
endif(WIN32)

QT5_WRAP_CPP(QXT-SOURCES-MOC ${QXT-MOC-HEADERS})

ADD_LIBRARY(qxt STATIC
  ${QXT-SOURCES}
  ${QXT-SOURCES-MOC}
)

if(WIN32)
  target_link_libraries(qxt Qt5::Core Qt5::Widgets)
else(WIN32)
  target_link_libraries(qxt Qt5::Core Qt5::Widgets Qt5::X11Extras)
endif(WIN32)

=== ext/clementine-spotifyblob/CMakeLists.txt ===
include_directories(${SPOTIFY_INCLUDE_DIRS})
include_directories(${PROTOBUF_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_BINARY_DIR}/ext/libclementine-spotifyblob)
include_directories(${CMAKE_SOURCE_DIR}/ext/libclementine-spotifyblob)
include_directories(${CMAKE_SOURCE_DIR}/ext/libclementine-common)
include_directories(${CMAKE_SOURCE_DIR}/src)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual -Wall -Wno-sign-compare -Wno-deprecated-declarations -Wno-unused-local-typedefs -Wno-unused-private-field -Wno-unknown-warning-option --std=c++0x -U__STRICT_ANSI__")

link_directories(${SPOTIFY_LIBRARY_DIRS})

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})

set(SOURCES
  main.cpp
  mediapipeline.cpp
  spotifyclient.cpp
  spotify_utilities.cpp
)

set(HEADERS
  spotifyclient.h
)

if(APPLE)
  list(APPEND SOURCES spotify_utilities.mm)
endif(APPLE)

qt5_wrap_cpp(MOC ${HEADERS})

if(WIN32 AND NOT CMAKE_BUILD_TYPE STREQUAL "Debug" AND NOT ENABLE_WIN32_CONSOLE)
  set(win32_build_flag WIN32)
endif(WIN32 AND NOT CMAKE_BUILD_TYPE STREQUAL "Debug" AND NOT ENABLE_WIN32_CONSOLE)

add_executable(clementine-spotifyblob
  ${win32_build_flag}
  ${SOURCES}
  ${MOC}
)

target_link_libraries(clementine-spotifyblob
  ${SPOTIFY_LIBRARIES} ${SPOTIFY_LDFLAGS}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
  ${GSTREAMER_BASE_LIBRARIES}
  ${GSTREAMER_APP_LIBRARIES}
  ${PROTOBUF_STATIC_LIBRARY}
  clementine-spotifyblob-messages
  libclementine-common
)

if(APPLE)
  target_link_libraries(clementine-spotifyblob
    "-framework Foundation"
  )
endif(APPLE)

if(NOT APPLE)
  # macdeploy.py takes care of this on mac
  install(TARGETS clementine-spotifyblob
          RUNTIME DESTINATION bin
  )
endif(NOT APPLE)

if(LINUX)
  # Versioned name of the blob
  if(CMAKE_SIZEOF_VOID_P EQUAL 4)
    set(SPOTIFY_BLOB_ARCH 32)
  else(CMAKE_SIZEOF_VOID_P EQUAL 4)
    set(SPOTIFY_BLOB_ARCH 64)
  endif(CMAKE_SIZEOF_VOID_P EQUAL 4)

  install(
    FILES ${CMAKE_BINARY_DIR}/clementine-spotifyblob
    DESTINATION ${CMAKE_BINARY_DIR}/spotify/version${SPOTIFY_BLOB_VERSION}-${SPOTIFY_BLOB_ARCH}bit/
    RENAME blob
  )
endif(LINUX)

=== ext/libclementine-remote/CMakeLists.txt ===
include_directories(${PROTOBUF_INCLUDE_DIRS})

set(MESSAGES
  remotecontrolmessages.proto
)

protobuf_generate_cpp(PROTO_SOURCES PROTO_HEADERS ${MESSAGES})

add_library(libclementine-remote STATIC
  ${PROTO_SOURCES}
)

target_link_libraries(libclementine-remote
  ${PROTOBUF_LIBRARY}
  libclementine-common
)

=== debian/changelog ===
clementine (1.3.1.1+git609+g623a53681+dfsg-1+eagle) unstable; urgency=medium

  * update

 -- Thomas Pierson <contact@thomaspierson.fr>  Wed, 27 Jan 2021 13:17:03 +0800

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_ARCH_OS),linux)
endif

export DEB_CXXFLAGS_MAINT_APPEND = -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUNDLE_PROJECTM_PRESETS=OFF \
	-DUSE_SYSTEM_PROJECTM=ON \
	-DENABLE_VK=OFF

override_dh_auto_build:
	docbook-to-man debian/clementine.sgml > debian/clementine.1
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/clementine.1
	rm -f dist/Info.plist
	rm -f dist/clementine.spec
	rm -f dist/maketarball.sh
	rm -f dist/windows/clementine.nsi
	rm -f dist/windows/clementine-portable.nsi
	rm -f src/translations/translations.pot
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs Changelog

override_dh_auto_test:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
https://github.com/clementine-player/Clementine/tags .*/v?(\d\S*)\.tar\.gz

## clementine 1.4.0~rc1

=== 3rdparty/libmygpo-qt5/CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8.11 FATAL_ERROR )

set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )

set(MYGPO_QT_VERSION_SUFFIX 5)

macro(qt_wrap_cpp)
    qt5_wrap_cpp(${ARGN})
endmacro()

# pkg-config names of QtCore and QtNetwork are Qt5Core and Qt5Network for
# Qt5
set(MYGPO_QT_MAJOR_VERSION "5")
set(MYGPO_QT4_QJSON_DEP "")

# Don't use absolute path in Mygpo-qtTargets-$buildType.cmake
# (This will have no effect with CMake < 2.8)
# set(QT_USE_IMPORTED_TARGETS TRUE)

set( MYGPO_QT_VERSION_MAJOR "1" )
set( MYGPO_QT_VERSION_MINOR "0" )
set( MYGPO_QT_VERSION_PATCH "8" )
set( MYGPO_QT_VERSION "${MYGPO_QT_VERSION_MAJOR}.${MYGPO_QT_VERSION_MINOR}.${MYGPO_QT_VERSION_PATCH}" )

#Configure Version.h.in with the actual version number
configure_file( src/Version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/Version.h )

include(CheckCXXCompilerFlag)

if (CMAKE_COMPILER_IS_GNUCXX)
    ADD_DEFINITIONS( -Wcast-align -Wchar-subscripts -Wpointer-arith
       -Wwrite-strings -Wpacked -Wformat-security -Wmissing-format-attribute
       -Wold-style-cast -Woverloaded-virtual -Wnon-virtual-dtor  -Wall -Wextra
       -Wformat=2 -Wundef -Wstack-protector -Wmissing-include-dirs
       -Winit-self -Wunsafe-loop-optimizations  -ggdb3 -fno-inline -DQT_STRICT_ITERATORS )
    if ( NOT WIN32 )
        add_definitions( -fvisibility=hidden )
    endif()

    check_cxx_compiler_flag( -Wlogical-op GNUCXX_HAS_WLOGICAL_OP )
    if ( GNUCXX_HAS_WLOGICAL_OP )
        add_definitions( -Wlogical-op )
    endif()
endif(CMAKE_COMPILER_IS_GNUCXX)


set(MYGPO_QT_TARGET_NAME mygpo-qt${MYGPO_QT_VERSION_SUFFIX} CACHE INTERNAL "" FORCE )

add_subdirectory( src )

=== 3rdparty/libprojectm/CMakeLists.txt ===
PROJECT(projectM)
cmake_minimum_required(VERSION 2.6.0)
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The projectM core library.")

include(CheckCXXCompilerFlag)

cmake_policy(SET CMP0005 OLD)

# This policy was only added in cmake 2.8.4
if (CMAKE_VERSION VERSION_GREATER "2.8.3")
  cmake_policy(SET CMP0017 OLD)
endif (CMAKE_VERSION VERSION_GREATER "2.8.3")


set(USE_DEVIL OFF)
set(USE_FBO ON)
set(USE_FTGL OFF)
set(USE_GLES1 OFF)
set(USE_THREADS OFF)
set(USE_OPENMP ON)
set(USE_NATIVE_GLEW OFF)
set(USE_CG OFF)
set(BUILD_PROJECTM_STATIC ON)
set(DISABLE_NATIVE_PRESETS ON)
set(DISABLE_MILKDROP_PRESETS OFF)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++98")

pkg_check_modules(GLEW glew)

if(DISABLE_NATIVE_PRESETS)
  ADD_DEFINITIONS(-DDISABLE_NATIVE_PRESETS)
endif(DISABLE_NATIVE_PRESETS)

ADD_DEFINITIONS(-DCMAKE_INSTALL_PREFIX="\\\"${CMAKE_INSTALL_PREFIX}\\\"")

if (USE_NATIVE_GLEW)
  ADD_DEFINITIONS(-DUSE_NATIVE_GLEW)
  SET(GLEW_SOURCES glew.h glew.c)
  SET(GLEW_LIBRARIES )
else(USE_NATIVE_GLEW)
  SET(GLEW_SOURCES )
  find_library(GLEW_LIBRARIES NAMES glew32.dll glew GLEW glew32)
  find_path(GLEW_INCLUDE_DIRS GL/glew.h HINTS /sw/include)
  include_directories(${GLEW_INCLUDE_DIRS})
endif(USE_NATIVE_GLEW)

SET(projectM_SOURCES projectM.cpp PCM.cpp Preset.cpp fftsg.cpp KeyHandler.cpp
timer.cpp wipemalloc.cpp PresetLoader.cpp  PresetChooser.cpp PipelineMerger.cpp ConfigFile.cpp  TimeKeeper.cpp PresetFactory.cpp PresetFactoryManager.cpp ${GLEW_SOURCES})

if (MSVC)
SET(projectM_SOURCES ${projectM_SOURCES} dlfcn.c win32-dirent.cpp)
endif(MSVC)

if (NOT DISABLE_NATIVE_PRESETS)
add_subdirectory(NativePresetFactory)
SET(PRESET_FACTORY_SOURCES ${PRESET_FACTORY_SOURCES} ${NativePresetFactory_SOURCE_DIR})
SET(PRESET_FACTORY_BINARY_DIR ${PRESET_FACTORY_BINARY_DIR} ${NativePresetFactory_BINARY_DIR})
SET(PRESET_FACTORY_LINK_TARGETS ${PRESET_FACTORY_LINK_TARGETS} NativePresetFactory)
endif(NOT DISABLE_NATIVE_PRESETS)

if (NOT DISABLE_MILKDROP_PRESETS)
add_subdirectory(MilkdropPresetFactory)
SET(PRESET_FACTORY_SOURCES ${PRESET_FACTORY_SOURCES} ${MilkdropPresetFactory_SOURCE_DIR})
SET(PRESET_FACTORY_BINARY_DIR ${PRESET_FACTORY_BINARY_DIR} ${MilkdropPrmaesetFactory_BINARY_DIR})
SET(PRESET_FACTORY_LINK_TARGETS ${PRESET_FACTORY_LINK_TARGETS} MilkdropPresetFactory)
endif(NOT DISABLE_MILKDROP_PRESETS)

if (USE_DEVIL)
SET (projectM_SOURCES ${projectM_SOURCES})
ADD_DEFINITIONS(-DUSE_DEVIL)
SET (IMAGE_LINK_TARGETS IL ILU ILUT)
else (USE_DEVIL)
SET (projectM_SOURCES ${projectM_SOURCES})
SET (IMAGE_LINK_TARGETS )
endif (USE_DEVIL)

if (USE_CG)
ADD_DEFINITIONS(-DUSE_CG)
SET (CG_LINK_TARGETS Cg CgGL)
else (USE_CG)
SET (CG_LINK_TARGETS)
endif(USE_CG)


if(USE_GLES1)
ADD_DEFINITIONS(-DUSE_GLES1)
endif(USE_GLES1)

if(USE_FBO)
ADD_DEFINITIONS(-DUSE_FBO)
endif(USE_FBO)

if(USE_FTGL)
  ADD_DEFINITIONS(-DUSE_FTGL)

  pkg_check_modules(FREETYPE2 freetype2)
  pkg_check_modules(FTGL ftgl)
  include_directories( ${FREETYPE2_INCLUDE_DIRS} )
endif(USE_FTGL)


if(COMMAND cmake_policy)
       cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

if (BUILD_PROJECTM_STATIC)
ADD_LIBRARY(projectM STATIC ${projectM_SOURCES})
else(BUILD_PROJECTM_STATIC)
ADD_LIBRARY(projectM SHARED ${projectM_SOURCES})
endif(BUILD_PROJECTM_STATIC)

SET_TARGET_PROPERTIES(projectM PROPERTIES VERSION 2.00 SOVERSION 2)
set_target_properties(projectM PROPERTIES COMPILE_FLAGS "-Wno-unused-value")

if (USE_THREADS)
ADD_DEFINITIONS(-DUSE_THREADS)
endif(USE_THREADS)

if (APPLE)
ADD_DEFINITIONS(-DMACOS -DSTBI_NO_DDS)
set(RESOURCE_PREFIX "Resources")
else (APPLE)
if (WIN32)
set (RESOURCE_PREFIX "Resources")
ADD_DEFINITIONS(-DWIN32 -DSTBI_NO_DDS)
else(WIN32)
set (RESOURCE_PREFIX "share/projectM")
ADD_DEFINITIONS(-DLINUX -DSTBI_NO_DDS)
endif(WIN32)
endif(APPLE)

add_subdirectory(Renderer)

#ADD_DEFINITIONS(-DCMAKE_INSTALL_PREFIX="\\\"${CMAKE_INSTALL_PREFIX}\\\"") 

FIND_PACKAGE(X11)
FIND_PACKAGE(OpenGL)


#set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH};/opt/local/include;/Developer/SDKs/MACOSX10.5.sdk/usr/X11/include)
#set(CMAKE_LIBRARY_PATH /opt/local/lib;/Developer/SDKs/MACOSX10.5.sdk;/Developer/SDKs/MacOSX10.5.sdk/usr/X11/lib/)

CHECK_CXX_COMPILER_FLAG("-fopenmp" SUPPORTS_OPENMP)

IF(USE_OPENMP AND SUPPORTS_OPENMP)
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fopenmp ")
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp ")
ENDIF(USE_OPENMP AND SUPPORTS_OPENMP)

INCLUDE_DIRECTORIES(${projectM_SOURCE_DIR} ${FTGL_INCLUDE_DIRS} ${X11_INCLUDE_DIR} ${Renderer_SOURCE_DIR} ${PRESET_FACTORY_SOURCES})
LINK_DIRECTORIES(${FTGL_LIBRARY_DIRS} ${Renderer_BINARY_DIR} ${PRESET_FACTORY_BINARY_DIR})

if(MSVC)
	SET (MATH_LIBRARIES )
else(MSVC)
	SET (MATH_LIBRARIES m)
endif(MSVC)

if(BUILD_PROJECTM_STATIC)
    TARGET_LINK_LIBRARIES(projectM ${GLEW_LIBRARIES} ${MATH_LIBRARIES} ${FTGL_LIBRARIES} ${OPENGL_LIBRARIES} ${IMAGE_LINK_TARGETS} ${CG_LINK_TARGETS} ${PRESET_FACTORY_LINK_TARGETS})
else(BUILD_PROJECTM_STATIC)
  TARGET_LINK_LIBRARIES(projectM ${GLEW_LIBRARIES} ${MATH_LIBRARIES} ${FTGL_LIBRARIES} ${OPENGL_LIBRARIES}  ${IMAGE_LINK_TARGETS} ${CG_LINK_TARGETS} ${PRESET_FACTORY_LINK_TARGETS})
endif(BUILD_PROJECTM_STATIC)


CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/libprojectM.pc.in" "${CMAKE_CURRENT_SOURCE_DIR}/libprojectM.pc" @ONLY)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/config.inp.in" "${CMAKE_CURRENT_SOURCE_DIR}/config.inp" @ONLY)

if(BUNDLE_PROJECTM_PRESETS)
  FILE(GLOB presets "presets/*.milk" "presets/*.prjm" "presets/*.tga")
  if (APPLE)
    foreach (preset ${presets})
      get_filename_component(PRESET_NAME ${preset} NAME)
      configure_file(
        "${preset}"
        "${CMAKE_BINARY_DIR}/clementine.app/Contents/Resources/projectm-presets/${PRESET_NAME}"
        COPY_ONLY
      )
    endforeach (preset)
  else (APPLE)
    INSTALL(FILES ${presets} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/clementine/projectm-presets)
  endif (APPLE)
endif(BUNDLE_PROJECTM_PRESETS)

=== 3rdparty/taglib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-delete-non-virtual-dtor")

set(TAGLIB_SOVERSION_CURRENT  17)
set(TAGLIB_SOVERSION_REVISION 0)
set(TAGLIB_SOVERSION_AGE      16)

math(EXPR TAGLIB_SOVERSION_MAJOR "${TAGLIB_SOVERSION_CURRENT} - ${TAGLIB_SOVERSION_AGE}")
math(EXPR TAGLIB_SOVERSION_MINOR "${TAGLIB_SOVERSION_AGE}")
math(EXPR TAGLIB_SOVERSION_PATCH "${TAGLIB_SOVERSION_REVISION}")

include(TestBigEndian)
test_big_endian(IS_BIG_ENDIAN)

if(NOT IS_BIG_ENDIAN)
  add_definitions(-DSYSTEM_BYTEORDER=1)
else()
  add_definitions(-DSYSTEM_BYTEORDER=2)
endif()

include(ConfigureChecks.cmake)
configure_file(config.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/config.h")
configure_file(taglib_config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/taglib_config.h)

add_definitions(-DHAVE_CONFIG_H)
add_definitions(-DTAGLIB_STATIC)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/toolkit
  ${CMAKE_CURRENT_SOURCE_DIR}/asf
  ${CMAKE_CURRENT_SOURCE_DIR}/mpeg
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg/flac
  ${CMAKE_CURRENT_SOURCE_DIR}/flac
  ${CMAKE_CURRENT_SOURCE_DIR}/mpc
  ${CMAKE_CURRENT_SOURCE_DIR}/mp4
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg/vorbis
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg/speex
  ${CMAKE_CURRENT_SOURCE_DIR}/ogg/opus
  ${CMAKE_CURRENT_SOURCE_DIR}/mpeg/id3v2
  ${CMAKE_CURRENT_SOURCE_DIR}/mpeg/id3v2/frames
  ${CMAKE_CURRENT_SOURCE_DIR}/mpeg/id3v1
  ${CMAKE_CURRENT_SOURCE_DIR}/ape
  ${CMAKE_CURRENT_SOURCE_DIR}/wavpack
  ${CMAKE_CURRENT_SOURCE_DIR}/trueaudio
  ${CMAKE_CURRENT_SOURCE_DIR}/riff
  ${CMAKE_CURRENT_SOURCE_DIR}/riff/aiff
  ${CMAKE_CURRENT_SOURCE_DIR}/riff/wav
  ${CMAKE_CURRENT_SOURCE_DIR}/mod
  ${CMAKE_CURRENT_SOURCE_DIR}/s3m
  ${CMAKE_CURRENT_SOURCE_DIR}/it
  ${CMAKE_CURRENT_SOURCE_DIR}/xm
  ${CMAKE_CURRENT_SOURCE_DIR}/dsf
  ${CMAKE_CURRENT_SOURCE_DIR}/dsdiff
  ${CMAKE_SOURCE_DIR}/3rdparty
)

if(ZLIB_FOUND)
  include_directories(${ZLIB_INCLUDE_DIR})
elseif(HAVE_ZLIB_SOURCE)
  include_directories(${ZLIB_SOURCE})
endif()

set(tag_HDRS
  tag.h
  fileref.h
  audioproperties.h
  taglib_export.h
  ${CMAKE_CURRENT_BINARY_DIR}/taglib_config.h
  toolkit/taglib.h
  toolkit/tstring.h
  toolkit/tlist.h
  toolkit/tlist.tcc
  toolkit/tstringlist.h
  toolkit/tbytevector.h
  toolkit/tbytevectorlist.h
  toolkit/tbytevectorstream.h
  toolkit/tiostream.h
  toolkit/tfile.h
  toolkit/tfilestream.h
  toolkit/tmap.h
  toolkit/tmap.tcc
  toolkit/tpropertymap.h
  toolkit/trefcounter.h
  toolkit/tdebuglistener.h
  mpeg/mpegfile.h
  mpeg/mpegproperties.h
  mpeg/mpegheader.h
  mpeg/xingheader.h
  mpeg/id3v1/id3v1tag.h
  mpeg/id3v1/id3v1genres.h
  mpeg/id3v2/id3v2extendedheader.h
  mpeg/id3v2/id3v2frame.h
  mpeg/id3v2/id3v2header.h
  mpeg/id3v2/id3v2synchdata.h
  mpeg/id3v2/id3v2footer.h
  mpeg/id3v2/id3v2framefactory.h
  mpeg/id3v2/id3v2tag.h
  mpeg/id3v2/frames/attachedpictureframe.h
  mpeg/id3v2/frames/commentsframe.h
  mpeg/id3v2/frames/eventtimingcodesframe.h
  mpeg/id3v2/frames/generalencapsulatedobjectframe.h
  mpeg/id3v2/frames/ownershipframe.h
  mpeg/id3v2/frames/popularimeterframe.h
  mpeg/id3v2/frames/privateframe.h
  mpeg/id3v2/frames/relativevolumeframe.h
  mpeg/id3v2/frames/synchronizedlyricsframe.h
  mpeg/id3v2/frames/textidentificationframe.h
  mpeg/id3v2/frames/uniquefileidentifierframe.h
  mpeg/id3v2/frames/unknownframe.h
  mpeg/id3v2/frames/unsynchronizedlyricsframe.h
  mpeg/id3v2/frames/urllinkframe.h
  mpeg/id3v2/frames/chapterframe.h
  mpeg/id3v2/frames/tableofcontentsframe.h
  mpeg/id3v2/frames/podcastframe.h
  ogg/oggfile.h
  ogg/oggpage.h
  ogg/oggpageheader.h
  ogg/xiphcomment.h
  ogg/vorbis/vorbisfile.h
  ogg/vorbis/vorbisproperties.h
  ogg/flac/oggflacfile.h
  ogg/speex/speexfile.h
  ogg/speex/speexproperties.h
  ogg/opus/opusfile.h
  ogg/opus/opusproperties.h
  flac/flacfile.h
  flac/flacpicture.h
  flac/flacproperties.h
  flac/flacmetadatablock.h
  ape/apefile.h
  ape/apeproperties.h
  ape/apetag.h
  ape/apefooter.h
  ape/apeitem.h
  mpc/mpcfile.h
  mpc/mpcproperties.h
  wavpack/wavpackfile.h
  wavpack/wavpackproperties.h
  trueaudio/trueaudiofile.h
  trueaudio/trueaudioproperties.h
  riff/rifffile.h
  riff/aiff/aifffile.h
  riff/aiff/aiffproperties.h
  riff/wav/wavfile.h
  riff/wav/wavproperties.h
  riff/wav/infotag.h
  asf/asffile.h
  asf/asfproperties.h
  asf/asftag.h
  asf/asfattribute.h
  asf/asfpicture.h
  mp4/mp4file.h
  mp4/mp4atom.h
  mp4/mp4tag.h
  mp4/mp4item.h
  mp4/mp4properties.h
  mp4/mp4coverart.h
  mod/modfilebase.h
  mod/modfile.h
  mod/modtag.h
  mod/modproperties.h
  it/itfile.h
  it/itproperties.h
  s3m/s3mfile.h
  s3m/s3mproperties.h
  xm/xmfile.h
  xm/xmproperties.h
  dsf/dsffile.h
  dsf/dsfproperties.h
  dsdiff/dsdifffile.h
  dsdiff/dsdiffproperties.h
  dsdiff/dsdiffdiintag.h
)

set(mpeg_SRCS
  mpeg/mpegfile.cpp
  mpeg/mpegproperties.cpp
  mpeg/mpegheader.cpp
  mpeg/xingheader.cpp
)

set(id3v1_SRCS
  mpeg/id3v1/id3v1tag.cpp
  mpeg/id3v1/id3v1genres.cpp
)

set(id3v2_SRCS
  mpeg/id3v2/id3v2framefactory.cpp
  mpeg/id3v2/id3v2synchdata.cpp
  mpeg/id3v2/id3v2tag.cpp
  mpeg/id3v2/id3v2header.cpp
  mpeg/id3v2/id3v2frame.cpp
  mpeg/id3v2/id3v2footer.cpp
  mpeg/id3v2/id3v2extendedheader.cpp
  )

set(frames_SRCS
  mpeg/id3v2/frames/attachedpictureframe.cpp
  mpeg/id3v2/frames/commentsframe.cpp
  mpeg/id3v2/frames/eventtimingcodesframe.cpp
  mpeg/id3v2/frames/generalencapsulatedobjectframe.cpp
  mpeg/id3v2/frames/ownershipframe.cpp
  mpeg/id3v2/frames/popularimeterframe.cpp
  mpeg/id3v2/frames/privateframe.cpp
  mpeg/id3v2/frames/relativevolumeframe.cpp
  mpeg/id3v2/frames/synchronizedlyricsframe.cpp
  mpeg/id3v2/frames/textidentificationframe.cpp
  mpeg/id3v2/frames/uniquefileidentifierframe.cpp
  mpeg/id3v2/frames/unknownframe.cpp
  mpeg/id3v2/frames/unsynchronizedlyricsframe.cpp
  mpeg/id3v2/frames/urllinkframe.cpp
  mpeg/id3v2/frames/chapterframe.cpp
  mpeg/id3v2/frames/tableofcontentsframe.cpp
  mpeg/id3v2/frames/podcastframe.cpp
)

set(ogg_SRCS
  ogg/oggfile.cpp
  ogg/oggpage.cpp
  ogg/oggpageheader.cpp
  ogg/xiphcomment.cpp
)

set(vorbis_SRCS
  ogg/vorbis/vorbisfile.cpp
  ogg/vorbis/vorbisproperties.cpp
)

set(flacs_SRCS
  flac/flacfile.cpp
  flac/flacpicture.cpp
  flac/flacproperties.cpp
  flac/flacmetadatablock.cpp
  flac/flacunknownmetadatablock.cpp
)

set(oggflacs_SRCS
  ogg/flac/oggflacfile.cpp
)

set(mpc_SRCS
  mpc/mpcfile.cpp
  mpc/mpcproperties.cpp
)

set(mp4_SRCS
  mp4/mp4file.cpp
  mp4/mp4atom.cpp
  mp4/mp4tag.cpp
  mp4/mp4item.cpp
  mp4/mp4properties.cpp
  mp4/mp4coverart.cpp
)

set(ape_SRCS
  ape/apetag.cpp
  ape/apefooter.cpp
  ape/apeitem.cpp
  ape/apefile.cpp
  ape/apeproperties.cpp
)

set(wavpack_SRCS
  wavpack/wavpackfile.cpp
  wavpack/wavpackproperties.cpp
)

set(speex_SRCS
  ogg/speex/speexfile.cpp
  ogg/speex/speexproperties.cpp
)

set(opus_SRCS
  ogg/opus/opusfile.cpp
  ogg/opus/opusproperties.cpp
)

set(trueaudio_SRCS
  trueaudio/trueaudiofile.cpp
  trueaudio/trueaudioproperties.cpp
)

set(asf_SRCS
  asf/asftag.cpp
  asf/asffile.cpp
  asf/asfproperties.cpp
  asf/asfattribute.cpp
  asf/asfpicture.cpp
)

set(riff_SRCS
  riff/rifffile.cpp
)

set(aiff_SRCS
  riff/aiff/aifffile.cpp
  riff/aiff/aiffproperties.cpp
)

set(wav_SRCS
  riff/wav/wavfile.cpp
  riff/wav/wavproperties.cpp
  riff/wav/infotag.cpp
)

set(mod_SRCS
  mod/modfilebase.cpp
  mod/modfile.cpp
  mod/modtag.cpp
  mod/modproperties.cpp
)

set(s3m_SRCS
  s3m/s3mfile.cpp
  s3m/s3mproperties.cpp
)

set(it_SRCS
  it/itfile.cpp
  it/itproperties.cpp
)

set(xm_SRCS
  xm/xmfile.cpp
  xm/xmproperties.cpp
)

set(dsf_SRCS
  dsf/dsffile.cpp
  dsf/dsfproperties.cpp
)

set(dsdiff_SRCS
  dsdiff/dsdifffile.cpp
  dsdiff/dsdiffproperties.cpp
  dsdiff/dsdiffdiintag.cpp
)

set(toolkit_SRCS
  toolkit/tstring.cpp
  toolkit/tstringlist.cpp
  toolkit/tbytevector.cpp
  toolkit/tbytevectorlist.cpp
  toolkit/tbytevectorstream.cpp
  toolkit/tiostream.cpp
  toolkit/tfile.cpp
  toolkit/tfilestream.cpp
  toolkit/tdebug.cpp
  toolkit/tpropertymap.cpp
  toolkit/trefcounter.cpp
  toolkit/tdebuglistener.cpp
  toolkit/tzlib.cpp
)

if(HAVE_ZLIB_SOURCE)
  set(zlib_SRCS
    ${ZLIB_SOURCE}/adler32.c
    ${ZLIB_SOURCE}/crc32.c
    ${ZLIB_SOURCE}/inffast.c
    ${ZLIB_SOURCE}/inflate.c
    ${ZLIB_SOURCE}/inftrees.c
    ${ZLIB_SOURCE}/zutil.c
  )
endif()

set(tag_LIB_SRCS
  ${mpeg_SRCS} ${id3v1_SRCS} ${id3v2_SRCS} ${frames_SRCS} ${ogg_SRCS}
  ${vorbis_SRCS} ${oggflacs_SRCS} ${mpc_SRCS} ${ape_SRCS} ${toolkit_SRCS} ${flacs_SRCS}
  ${wavpack_SRCS} ${speex_SRCS} ${trueaudio_SRCS} ${riff_SRCS} ${aiff_SRCS} ${wav_SRCS}
  ${asf_SRCS} ${mp4_SRCS} ${mod_SRCS} ${s3m_SRCS} ${it_SRCS} ${xm_SRCS} ${opus_SRCS} ${dsf_SRCS} ${dsdiff_SRCS}
  ${zlib_SRCS}
  tag.cpp
  tagunion.cpp
  fileref.cpp
  audioproperties.cpp
  tagutils.cpp
)

add_library(tag STATIC ${tag_LIB_SRCS} ${tag_HDRS})

if(HAVE_ZLIB AND NOT HAVE_ZLIB_SOURCE)
  target_link_libraries(tag ${ZLIB_LIBRARIES})
endif()

set_target_properties(tag PROPERTIES
  VERSION ${TAGLIB_SOVERSION_MAJOR}.${TAGLIB_SOVERSION_MINOR}.${TAGLIB_SOVERSION_PATCH}
  SOVERSION ${TAGLIB_SOVERSION_MAJOR}
  DEFINE_SYMBOL MAKE_TAGLIB_LIB
  LINK_INTERFACE_LIBRARIES ""
)

foreach(header ${tag_HDRS})
  get_filename_component(header_name ${header} NAME)
  configure_file(
    "${header}"
    "${CMAKE_CURRENT_BINARY_DIR}/headers/taglib/${header_name}"
    COPYONLY
  )
endforeach()

=== 3rdparty/libprojectm/Renderer/CMakeLists.txt ===
PROJECT(Renderer)
cmake_minimum_required(VERSION 2.4.0)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

SET(SOIL_SOURCES SOIL/image_DXT.c SOIL/image_helper.c SOIL/SOIL.c SOIL/stb_image_aug.c)

SET(Renderer_SOURCES FBO.cpp MilkdropWaveform.cpp PerPixelMesh.cpp Pipeline.cpp Renderer.cpp  ShaderEngine.cpp UserTexture.cpp  Waveform.cpp 
Filters.cpp PerlinNoise.cpp PipelineContext.cpp  Renderable.cpp BeatDetect.cpp Shader.cpp TextureManager.cpp VideoEcho.cpp 
RenderItemDistanceMetric.cpp RenderItemMatcher.cpp ${SOIL_SOURCES})

if(MSVC)
	SET (MATH_LIBRARIES )
else(MSVC)
	SET (MATH_LIBRARIES m)
endif(MSVC)

FIND_PACKAGE(X11)

INCLUDE_DIRECTORIES(${projectM_SOURCE_DIR} ${X11_INCLUDE_DIR})
ADD_LIBRARY(Renderer STATIC ${Renderer_SOURCES})
SET_TARGET_PROPERTIES(Renderer PROPERTIES VERSION 2.00 SOVERSION 2)
TARGET_LINK_LIBRARIES(Renderer ${MATH_LIBRARIES} ${GLEW_LIBRARIES} projectM)

set_target_properties(Renderer PROPERTIES COMPILE_FLAGS "-Wno-parentheses")

=== debian/changelog ===
clementine (1.4.0~rc1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert source to normal "clementine".

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Feb 2020 11:22:51 -0800

clementine-qt5 (1.4.0~git68-g0d1a976b6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/clementine-player/Clementine.git
  * Branch: master
  * Commit: 0d1a976b62eb64754b1a6eb29090b72a20161c36
  * Date: 1579215998
  * git changelog:
  *  4bb7d41ec - Fix mtp and gphoto2 device mounts from gvfs.
  *  5efba58f0 - Decode gvfs uris.
  *  6a9276ec0 - Fix LibraryModel async query crash.
  *  acda1bc1d - Add mac style plugin
  *  f817e0de4 - Prevent deletion of LibraryModel object while async
    query is running.
  *  2f41a969c - Use qt5 version of liblastfm dev package for Debian and
    Ubuntu builds.
  *  dbe67bf32 - Fix closure timing hole.
  *  a97080a80 - Automatic merge of translations from Transifex
    (https://www.transifex.com/projects/p/clementine/resource/clementine
    player)
  *  8a88a0a57 - Properly handle connect errors when initiated from
    properties dialog.
  *  79b7e3fe1 - Fix abort from Mtp loader thread.
  *  3f4c78833 - Fixed lastfm workflow with "now playing" and scrobbling
    feature
  *  39e75071b - Remove unhelpful debug message.
  *  e98c11fe6 - Use QImage::sizeInBytes() with Qt 5.10 and above
  *  6b50d5140 - Fix formatting
  *  e63c1edbb - Fix formatting
  *  341a4d142 - Replace QTime with QElapsedTimer
  *  959a957a5 - Replace QModelIndex::child() with
    QAbstractItemModel::index()
  *  099120908 - Revert "Add an option to specify a gpodder server."
  *  257e1be43 - Automatic merge of translations from Transifex
    (https://www.transifex.com/projects/p/clementine/resource/clementine
    player)
  *  1b23417a9 - Use QWidget::screen() to fix compile with Qt 5.14
  *  52180a748 - Fix layouts with duplicate name in
    SmartPlaylistSearchTermWidget
  *  5eb32b33c - Replace QSet::toList() with QSet::values()
  *  b4fc6d96b - Fix formatting
  *  35a0beb8a - Replace use of QtMac::toCGImageRef with
    QImage::toCGImage
  *  ddc8a5f01 - Initialize QObject in constructor and add explicit
  *  7f6e7f8b3 - Fix formatting
  *  f81a3aa8d - Replace use of QString::sprintf with QString::asprintf
  *  a70537b83 - Replace use of QStyleOptionFrameV3
  *  39cdb7fc3 - Add fallthrough comment where fallthrough is intended
  *  4c157a95d - Replace use of QPalette::background with
    QPalette::window
  *  28bbb74c2 - Replace use of QColor::dark with QColor::darker
  *  9e3461f81 - Fix formatting
  *  6a8f70285 - Replace all uses of QDesktopWidget with QScreen
  *  39934dc30 - Fix songs stuck in various artists
  *  651965b90 - Fix formatting
  *  250b5ca0a - Remove pixmap cache and pending art when removing
    parent nodes instead
  *  a4a8726dd - Fix formatting
  *  30413767c - Fix macOS filesystem listener (library watcher)
  *  af62df4db - Add project to CMakeLists
  *  590d7f382 - Add an option to specify a gpodder server.
  *  c24614295 - Update to libmygpo-qt 1.1.0.
  *  2aa81af6c - 1.4 rc1
  *  ba6879e90 - Copy all release artifacts to one dir for ghr
  *  702d69ee0 - Upload all artifacts on release
  *  eec38a64d - Automatic merge of translations from Transifex
    (https://www.transifex.com/projects/p/clementine/resource/clementine
    player)
  *  a164a5dff - Fix smart playlist crash.
  *  963b272c4 - Don't crash if smartplaylist wizard plugin is not
    found.
  *  e32ba7eac - Gpodder login cleanup.
  *  a1da06700 - Reset gpodder session cookies on logout.
  *  eeb9f7e30 - Use a newer version of go for ghr
  *  7d44268c0 - Use proper git/ssh versions
  *  3a3113b78 - Create github release on tag
  *  d0ea1033a - Build source tarball (#6486)
  *  51c5939ba - Set version
  *  5ee0a63a4 - Try unlinking python2 first
  *  36179a719 - Fix gpodder sync memory leaks in success cases.
  *  8f0f24f39 - gettext & sqlite seem to already be installed
  *  9e73aae82 - Automatic merge of translations from Transifex
    (https://www.transifex.com/projects/p/clementine/resource/clementine
    player)
  *  0d6279c98 - Try running builds for tags
  *  5e7e57df7 - Set a 30 second timeout for gpodder requests.
  *  77d5d8bde - Add a timeout option to NetworkAccessManager.
  *  82b185c08 - Automatic merge of translations from Transifex
    (https://www.transifex.com/projects/p/clementine/resource/clementine
    player)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 18 Jan 2020 11:07:59 +0300

clementine-qt5 (1.3.1+git2480-gfb51e7733-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/clementine-player/Clementine.git
  * Branch: master
  * Commit: fb51e7733c4bad53a87971ad51634e68fcbe66db
  * Date: 1576504511
  * git changelog:
  *  fb51e7733 - Remove reference to buildbot
  *  90a237716 - Automatic merge of translations from Transifex
    (https://www.transifex.com/projects/p/clementine/resource/clementine
    player)
  *  715da8909 - Fix resuming playback position on startup
  *  a7ad66d02 - Fix issues reported by clang-format
  *  397145d21 - Remove obsolete forced setting of XDG_CONFIG_HOME.
  *  ca2c6771f - Automatic merge of translations from Transifex
    (https://www.transifex.com/projects/p/clementine/resource/clementine
    player)
  *  7ef917008 - Fix formatting again
  *  344989785 - Fix multiple triggers of shortcut actions Also properly
    connect/disconnect from DBus signal upons register/unregister.
  *  2307c1522 - Fix style
  *  f5ec88b52 - Add support in GetConfigPath() for /pixmapcache
    directory
  *  ab2f7c03e - Use QStandardPaths to define Path_Root and
    Path_CacheRoot.
  *  a3531d749 - Actually fix formatting
  *  0b6519bad - Fix build with DBus disabled
  *  8cab8fe18 - Fix formatting
  *  24a571769 - Initial KGlobalAccel support

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 22 Dec 2019 11:07:26 +0300

clementine-qt5 (1.3.1+git2462-g440ac6dda-1) unstable; urgency=medium

  * Compile


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: clementine
 Section: sound
 Priority: optional
-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
 Build-Depends: cmake (>= 2.6),
                debhelper (>= 9),
                docbook-to-man,
@@ -15,34 +16,38 @@
                libgpod-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
+               libimobiledevice-dev,
                liblastfm5-dev,
                libmtp-dev,
-               libmygpo-qt-dev (>= 1.1.0-1~),
-               libprojectm-dev (>= 2.0.1+dfsg-6),
-               libprotobuf-dev,
-               libpulse-dev,
-	       libqt5opengl5-dev,
-	       libqt5webkit5-dev,
-	       libqt5x11extras5-dev,
+               libplist-dev,
+               libprojectm-dev,
+               libmygpo-qt-dev,
+               libqt5opengl5-dev,
+               libqt5webkit5-dev,
                libsparsehash-dev,
                libsqlite3-dev,
                libtag1-dev (>= 1.8),
-               protobuf-compiler,
+               libusbmuxd-dev,
                qtbase5-private-dev,
                qttools5-dev,
-Standards-Version: 4.2.1
+               libprotobuf-dev, protobuf-compiler,
+               libqca2-dev,
+               libfftw3-dev,
+               libgpod-dev, libpulse-dev, libqt5x11extras5-dev
+Standards-Version: 4.1.4
 Homepage: http://www.clementine-player.org/
-Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-clementine.git
-Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-clementine
 
 Package: clementine
-Architecture: amd64 arm64 i386 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32
+Architecture: any
+Replaces: clementine-player
+Conflicts: clementine-player
 Depends: ${shlibs:Depends}, ${misc:Depends},
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
          gstreamer1.0-plugins-ugly,
-         projectm-data (>= 2.0.1+dfsg-6)
-Recommends: gstreamer1.0-alsa | gstreamer1.0-pulseaudio
+         libqt5sql5-sqlite,
+         projectm-data (>= 2.0.1+dfsg-6),
+         gstreamer1.0-alsa | gstreamer1.0-pulseaudio
 Suggests: gstreamer1.0-plugins-bad
 Description: modern music player and library organizer
  Clementine is a multiplatform music player focusing on a fast and

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

CMAKEOPTS = -DBUNDLE_PROJECTM_PRESETS=OFF \
	-DSTATIC_SQLITE=ON \
	-DCMAKE_CXX_FLAGS="$(CXXFLAGS) -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT"

CMAKEOPTS += -DUSE_SYSTEM_PROJECTM=ON \
	-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
	-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)"

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)

override_dh_auto_build:
	docbook-to-man debian/clementine.sgml > debian/clementine.1
	dh_auto_build

override_dh_auto_clean:
	rm -f debian/clementine.1
	rm -f dist/Info.plist
	rm -f dist/clementine.spec
	rm -f dist/maketarball.sh
	rm -f dist/windows/clementine.nsi
	rm -f dist/windows/clementine-portable.nsi
	rm -f src/translations/translations.pot
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs Changelog

override_dh_auto_test:

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## clementine 1.4.0~rc1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: clementine
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
+Maintainer: Thomas Pierson <contact@thomaspierson.fr>
 Build-Depends: cmake (>= 2.6),
                debhelper (>= 9),
                docbook-to-man,
@@ -16,38 +15,33 @@
                libgpod-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libimobiledevice-dev,
                liblastfm5-dev,
                libmtp-dev,
-               libplist-dev,
-               libprojectm-dev,
-               libmygpo-qt-dev,
+               libmygpo-qt-dev (>= 1.1.0-1~),
+               libprotobuf-dev,
+               libpulse-dev,
                libqt5opengl5-dev,
+               libqt5sql5-sqlite,
                libqt5webkit5-dev,
+               libqt5x11extras5-dev,
                libsparsehash-dev,
                libsqlite3-dev,
                libtag1-dev (>= 1.8),
-               libusbmuxd-dev,
+               protobuf-compiler,
                qtbase5-private-dev,
                qttools5-dev,
-               libprotobuf-dev, protobuf-compiler,
-               libqca2-dev,
-               libfftw3-dev,
-               libgpod-dev, libpulse-dev, libqt5x11extras5-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://www.clementine-player.org/
+Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-clementine.git
+Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-clementine
 
 Package: clementine
-Architecture: any
-Replaces: clementine-player
-Conflicts: clementine-player
+Architecture: amd64 arm64 i386 mips mips64el mipsel ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends},
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
-         gstreamer1.0-plugins-ugly,
-         libqt5sql5-sqlite,
-         projectm-data (>= 2.0.1+dfsg-6),
-         gstreamer1.0-alsa | gstreamer1.0-pulseaudio
+         gstreamer1.0-plugins-ugly
+Recommends: gstreamer1.0-alsa | gstreamer1.0-pulseaudio
 Suggests: gstreamer1.0-plugins-bad
 Description: modern music player and library organizer
  Clementine is a multiplatform music player focusing on a fast and

## clementine 1.4.0~rc1%2Bgit347-gfc4cb6fc7%2Bdfsg

=== debian/changelog ===
clementine (1.4.0~rc1+git347-gfc4cb6fc7+dfsg-1+deb11u1) bullseye; urgency=medium

  * Non-maintainer upload.
  * Add explicit Depends on libqt5sql5-sqlite (Closes: #1008312)

 -- Florian Ernst <florian@debian.org>  Sat, 23 Apr 2022 09:29:26 +0200

clementine (1.4.0~rc1+git347-gfc4cb6fc7+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
  * New method for repacking upstream tarball using uscan features implemented
    in debian/watch and debian/copyright Files-Excluded field. Modifying
    debian/README.source and debian/README.Debian accordingly.
  * Disable ProjectM visualization module and remove the build-depend on
    libprojectm-dev because of issues on some architectures and also issues
    with presets.

 -- Thomas Pierson <contact@thomaspierson.fr>  Tue, 27 Oct 2020 11:30:27 +0100

clementine (1.4.0~rc1+git346-g4e3e9c8d1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #972175)
  * Refresh patches.
  * Enable ProjectM visualization module and add the build-depend on
    libprojectm-dev.
  * Reorder paragraphs in debian/copyright files to fix dep5 format issues.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 18 Oct 2020 10:53:42 +0200

clementine (1.4.0~rc1+git174-gcb64d9705+dfsg-2) unstable; urgency=medium

  * Build now on all architectures since Qt/OpenGL build issues have been
    fixed for armel/armhf. (Closes: #959514)
  * Update package description in debian/control file. (Closes: #959513)
  * Update and convert the manpage from docbook to usual groff man format and
    remove build-depend on docbook-to-man.
  * Remove obsolete macros declaration in debian/rules.
  * Use new debhelper compatibility specification by setting a build-depend
    instead of debian/compat and update compatibility to debhelper 13.
  * Remove unnecessary parallel option in debian/rules file with debhelper 13.

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 04 May 2020 11:00:20 +0200

clementine (1.4.0~rc1+git174-gcb64d9705+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add build-depend on libasound2-dev for alsa integration.

 -- Thomas Pierson <contact@thomaspierson.fr>  Thu, 30 Apr 2020 16:41:02 +0200

clementine (1.4.0~rc1+dfsg-2) unstable; urgency=medium

  * Source only upload.

 -- Thomas Pierson <contact@thomaspierson.fr>  Thu, 26 Mar 2020 19:13:19 +0100

clementine (1.4.0~rc1+dfsg-1) unstable; urgency=medium

  [ Thomas Pierson ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Enable parallel building in debian/rules. (Closes: #912826)
  * Update debian/copyright file.
  * Disable ProjectM visualization module and remove the build-depend on
    libprojectm-dev for now because this library will be removed from unstable
    soon following the Qt4 removal.

  [ Antonio Russo ]
  * Refresh patches :
    - libmygpo 1.10 is now in unstable, drop unconditional libmygpo use patch,
    - Appstream patch has been upstreamed,
    - Freebsd detection has been upstreamed,
  * Build-depend on libqt5sql5-sqlite, and do not build embedded QSQLite
    as Debian's version includes FTS3 support.

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 10 Feb 2020 13:59:18 +0100
